QGIS Application - Bug report #18426

Form size/location is only remembered for each feature

2018-03-13 05:20 AM - Damien Smith

Status: Closed
Priority: High
Assignee:

Category: Forms

Affected QGIS version:3.1(master)
Operating System: Windows 10
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 26315

Description

In QGIS 3.X, when doing data entry, the form size and location is reset for every new feature and only remembered for a single feature.
This makes data entry very cumbersome particularly for multiple monitors or larger forms. If this is not a bug and people want this
behaviour, it should be disabled by default and only available by an option.

eg.

Remember form settings by -:
Layer or Feature

Associated revisions

Revision bf124046 - 2018-03-16 02:01 AM - Nyall Dawson
Revert 5b9be7a

Since the attribute table dialog object name is set to match

the layer/featureid combo, this commit was causing the attribute
form dialog to remember its position and size for each
feature/layer combo individually.

That's NOT what we want!

Fixes #18426

Revision 7521a82a - 2018-03-16 03:43 AM - Nyall Dawson
Revert 5b9be7a

Since the attribute table dialog object name is set to match

the layer/featureid combo, this commit was causing the attribute
form dialog to remember its position and size for each
feature/layer combo individually.

That's NOT what we want!

Fixes #18426

(cherry-picked from bf12404)
History

#1 - 2018-03-15 08:03 AM - Nyall Dawson
- Pull Request or Patch supplied changed from No to Yes
- Status changed from Open to In Progress

https://github.com/qgis/QGIS/pull/6611

#2 - 2018-03-16 02:01 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from In Progress to Closed

Applied in changeset commit:qgis|bf124046592ceb17c2be7aa07cf52c797{609450.
